Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class AddressBookDialogModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.DialogModel
              portlets.compoze.groupware.model.mail.AddressBookDialogModel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DelegateDialogModel

public class AddressBookDialogModel
extends DialogModel
implements java.io.Serializable

This class represents the data model for the address book dialog (`address_book_dialog.jsp`).

See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_NUMBER_ADDRESS_BOOK_ENTRIES_PER_PAGE`

Fields inherited from class portlets.compoze.groupware.model.DialogModel
`DIALOG_SESSION_ATTRIBUTE`

Constructor Summary
`AddressBookDialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, GroupwarePreferences groupwarePrefs, java.lang.String sSkinPath)` Constructor.

Method Summary
`AddressBookEntry[]` | `getAddressBookEntries()` Gets the address book entries.
`AddressBook[]` | `getAddressBooks()` Gets the address books.
`java.lang.String` | `getCurrentAddressBookID()` Gets the current addressbook ID.
`Pagination` | `getPagination()` Gets the pagination.
`boolean` | `isExtendedAddressBookFilteringSupported()` Checks if filtering of GAL on properties other than 'last name' is supported.
`boolean` | `isExtendedContactsFilteringSupported()` Checks if filtering of contacts on properties other than 'last name' is supported.
`void` | `setAddressBookEntries(AddressBookEntry[] addressBookEntries)` Sets the address book entries.
`void` | `setAddressBooks(AddressBook[] addressBooks)` Sets the address books.
`void` | `setCurrentAddressBookID(java.lang.String sID)` Sets the current addressbook ID.
`void` | `setPagination(Pagination pagination)` Sets the pagination.

Methods inherited from class portlets.compoze.groupware.model.DialogModel
`getCompozeCSS, getCompozeImages, getCurrentSkinPath`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NUMBER_ADDRESS_BOOK_ENTRIES_PER_PAGE

    public static final int DEFAULT_NUMBER_ADDRESS_BOOK_ENTRIES_PER_PAGE

See Also:
  Constant Field Values

Constructor Detail

### AddressBookDialogModel

    public AddressBookDialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                  GroupwarePreferences groupwarePrefs,
                                  java.lang.String sSkinPath)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `sSkinPath` - the skin path (may not be `null`)

Method Detail

### getAddressBookEntries

    public AddressBookEntry[] getAddressBookEntries()

  Gets the address book entries.

  Returns:
    the address book entries

### setAddressBookEntries

    public void setAddressBookEntries(AddressBookEntry[] addressBookEntries)

  Sets the address book entries.

  Parameters:
    `addressBookEntries` - the address book entries (may not be `null`)

### getAddressBooks

    public AddressBook[] getAddressBooks()

  Gets the address books.

  Returns:
    the address books

### setAddressBooks

    public void setAddressBooks(AddressBook[] addressBooks)

  Sets the address books.

  Parameters:
    `addressBooks` - the address books (may not be `null`)

### getPagination

    public Pagination getPagination()

  Gets the pagination.

  Returns:
    the pagination

### setPagination

    public void setPagination(Pagination pagination)

  Sets the pagination.

  Parameters:
    `pagination` - the pagination (may not be `null`)

### isExtendedAddressBookFilteringSupported

    public boolean isExtendedAddressBookFilteringSupported()

  Checks if filtering of GAL on properties other than 'last name' is supported.

  Returns:
    the bExtendedFilteringSupported

### isExtendedContactsFilteringSupported

    public boolean isExtendedContactsFilteringSupported()

  Checks if filtering of contacts on properties other than 'last name' is supported.

  Returns:
    the bExtendedFilteringSupported

### getCurrentAddressBookID

    public java.lang.String getCurrentAddressBookID()

  Gets the current addressbook ID.

  Returns:
    the addressbook ID

### setCurrentAddressBookID

    public void setCurrentAddressBookID(java.lang.String sID)

  Sets the current addressbook ID.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.